Page MenuHomePhabricator

Add FileImporter to gated extensions
Closed, ResolvedPublic3 Story Points

Description

The FileImporter[1] extensions uses many essential methods from core that deal with more or less complex matters as importing of text and file revisions, adding log entries, using external user names etc. - Changes in core to these components, or the way they work can break the extensions and will potentially lead to broken imports on Commons

The FileImporter extension does mainly contain PHP unit tests but also a handful of integration tests that check the integration with core for the import step itself.

It would be good to run the FileImporter as part of the gated extensions, what then could also avoid things like T220713: Fix broken FileImporter unit test to happen.

[1] https://www.mediawiki.org/wiki/Extension:FileImporter

Note

Event Timeline

WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch updated the task description. (Show Details)May 8 2019, 3:39 PM
Reedy renamed this task from Add FileImpoter to gated extensions to Add FileImporter to gated extensions.May 8 2019, 10:42 PM
thiemowmde added a subscriber: thiemowmde.

Goated extensions! 😜

WMDE-Fisch updated the task description. (Show Details)May 21 2019, 1:41 PM
WMDE-Fisch set the point value for this task to 5.

Change 511697 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Mark SpecialImportFileIntegrationTest as "medium"

https://gerrit.wikimedia.org/r/511697

Change 511697 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Mark SpecialImportFileIntegrationTest as "medium"

https://gerrit.wikimedia.org/r/511697

jkroll claimed this task.May 23 2019, 4:02 PM
jkroll moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-05-15 board.
WMDE-Fisch removed the point value for this task.May 29 2019, 12:56 PM

Change 514065 had a related patch set uploaded (by Jkroll; owner: Jkroll):
[integration/config@master] [WiP] Add FileImporter to gated extensions

https://gerrit.wikimedia.org/r/514065

Excluding slow tests for the CI is not possible atm but could probably be implemented see also the notes in T125050#5120646 .

Change 514065 merged by jenkins-bot:
[integration/config@master] Add FileImporter to gated extensions

https://gerrit.wikimedia.org/r/514065

Mentioned in SAL (#wikimedia-releng) [2019-06-06T15:12:36Z] <hashar> reloading zuul for I044bedd41091b57a1a188ea243c4769a6e21babb T222802

WMDE-Fisch closed this task as Resolved.Jun 11 2019, 8:19 AM
WMDE-Fisch moved this task from Doing to Done on the WMDE-QWERTY-Sprint-2019-05-15 board.

Validated by looking at some random recent build and the build parameters there

https://integration.wikimedia.org/ci/job/wmf-quibble-core-vendor-mysql-hhvm-docker/16634/parameters/

( FileImporter is listed in EXT_DEPENDENCIES )

You can also see the FileImporter being setup when looking at the plain text output of the test searching for FileImporter

WMDE-Fisch set the point value for this task to 3.